package com.example.springdemo.security.jwt.token;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;

@Getter
@Setter
@EqualsAndHashCode(callSuper = false)
public class RequestAuthToken extends UsernamePasswordAuthenticationToken {

    private String userId;

    private String secret;

    private TokenType tokenType;

    public RequestAuthToken(Object principal, Object credentials, TokenType tokenType) {
        this(principal, credentials, null, null, tokenType);
    }

    public RequestAuthToken(Object principal, Object credentials, final String userId, String secret) {
        this(principal, credentials, userId, secret, null);
    }

    public RequestAuthToken(Object principal, Object credentials, final String userId, String secret, TokenType tokenType) {
        super(principal, credentials);
    }
}
